aboutsummaryrefslogtreecommitdiff
path: root/ci/test-stable.sh
diff options
context:
space:
mode:
authorHaibo Huang <hhb@google.com>2020-07-10 20:22:56 -0700
committerHaibo Huang <hhb@google.com>2020-07-10 20:22:56 -0700
commit815f544e751e7b3cdc563ca0c97849f7decf782f (patch)
treee039ea0f1d64aa1ce4ba6e632a638d4ad3c6af2b /ci/test-stable.sh
parent3ab24982d6da8a21528bd7ce8b2e675dd284b178 (diff)
downloadbytes-815f544e751e7b3cdc563ca0c97849f7decf782f.tar.gz
Upgrade rust/crates/bytes to 0.5.5
Change-Id: Ide2810cb2888de2899fd55127a81c685a5a037b6
Diffstat (limited to 'ci/test-stable.sh')
-rw-r--r--ci/test-stable.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/ci/test-stable.sh b/ci/test-stable.sh
new file mode 100644
index 0000000..01a32f5
--- /dev/null
+++ b/ci/test-stable.sh
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+set -ex
+
+cmd="${1:-test}"
+
+# Install cargo-hack for feature flag test
+cargo install cargo-hack
+
+# Run with each feature
+# * --each-feature includes both default/no-default features
+# * --optional-deps is needed for serde feature
+cargo hack "${cmd}" --each-feature --optional-deps
+# Run with all features
+cargo "${cmd}" --all-features
+
+cargo doc --no-deps --all-features
+
+if [[ "${RUST_VERSION}" == "nightly"* ]]; then
+ # Check benchmarks
+ cargo check --benches
+
+ # Check minimal versions
+ cargo clean
+ cargo update -Zminimal-versions
+ cargo check --all-features
+fi